Subject: Re: Cygnus + VIM (+ bug in ftp?)
From: Shiv Kumar <[email-masked]>
To: cygwin <[email-masked]>
Date: Wed, 05 Jul 2000 19:28:42 +0530

Hi Corinna/Michael

Thanks for the replies. I believe I took the latest release at the wrong time :-(. I
should have waited for an official mail on cygwin-announce!

For some questions that you have asked, here goes the answer :

>   1. Why do we have these two files, vi.exe and vim.exe in the /bin directory?
>      Is there any difference between the two.

Thanks for clarifying this point.

>   2. If I try to run another VIM script (eg matchit.vim) using :source command
>      inside VIM or in _vimrc file, it complains about trailing ^M characters.
>      But I dont see any ^M chars in that file.

Further diagnosis relvealed the following facts.

   * An 'od -xc' on that file shows \r and \n. Even 'cat -v'  displays ^M, but VIM
     does not .

   * Going by my grandma's trick, I ftp-ed the file to a solaris box in ascii mode
     and got it back in binary mode. I was surprised to see that \r\n were *not*
     changed to \n. I think it may be a bug in Cygwin version of ftp.exe.

   * I tried the same stunt with ftp.exe from \WINNT\system32 directory. This time
     the trick worked. All ^Ms were removed and /bin/vim does not crib anymore about
     trailing characters when :source-d.

>
>   3. Some of my map commands does not work. Eg, :map <C-Q> :q!<CR> does not work
>      when I press CTRL+q. Similarly <C-S> also does not work.

There is no need for my _vimrc file. This is easy to reproduce. Open VIM

     :map <C-Y> :q!<CR>     # this works

Now,

     :map <C-Q> :q!<CR>    # this doesnt work. Neither does <C-S>

>   4. Any file with :syntax on is very hard to read with a black background. The
>      colors were all decent when I used Win32 version of VIM. Where does
>      cygwin-vim pick sytax coloring from?

As one gentleman from vim mailing list suggested, I included the following lines in
my _vimrc file :

     set background=dark
     syntax on

It solved the problem.

Thanks.
--
shiv
[email-masked]

__________________________________________________
Do You Yahoo!?
Talk to your friends online with Yahoo! Messenger.
http://im.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]